//-----------------------------------------------
//API for TUSB-INS16O Driver
//Visual C# Module
//
//Jan. 31 2014
//Copyright (C) 2014 Turtle Industry Co.,Ltd.
//-----------------------------------------------

#ifndef TUSBINSO_h
#define TUSBINSO_h

using namespace System;
using namespace System::Runtime::InteropServices;

[DllImport("TUSBINSO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbins16o_Device_Open(short id);
[DllImport("TUSBINSO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern void Tusbins16o_Device_Close(short id);
[DllImport("TUSBINSO.DLL", CallingConvention = CallingConvention::Cdecl)]
extern short Tusbins16o_Write(short id, int dat);

static String^ Tusbins16o_GetOpenErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "IDԍsł";
        case 3:
            return "łɃfoCX̓I[vĂ܂";
        case 4:
            return "ڑĂ䐔܂";
        case 5:
            return "I[vł܂ł";
        case 6:
            return "foCX݂܂";
        default:
            return "sȃG[ł";
    }
}

static String^ Tusbins16o_GetErrMessage(short retcode)
{
    switch (retcode)
    {
        case 0:
            return "I܂";
        case 1:
            return "̃foCX̓I[vĂ܂";
        case 2:
            return "s܂";
        default:
            return "sȃG[ł";
    }
}

#endif
