﻿Public Class Form1
    Private DevId As Short
    Private OutBit() As System.Windows.Forms.CheckBox
    Public Sub New()

        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。
        OutBit = New System.Windows.Forms.CheckBox() _
            {OutB0, OutB1, OutB2, OutB3, OutB4, OutB5, OutB6, OutB7, _
             OutB8, OutB9, OutB10, OutB11, OutB12, OutB13, OutB14, OutB15}
    End Sub
    Private Sub ControlEnable(ByVal en As Boolean)
        Dim Bit As Integer

        DevOpenBtn.Enabled = Not en
        IDNUM.Enabled = Not en
        DevCloseBtn.Enabled = en
        For Bit = 0 To 15
            OutBit(Bit).Enabled = en
        Next
    End Sub

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        DevId = 0
        ControlEnable(False)
        IDNUM.SelectedIndex = 0
    End Sub

    Private Sub DevOpenBtn_Click(sender As System.Object, e As System.EventArgs) Handles DevOpenBtn.Click
        Dim retErr As Short

        DevId = IDNUM.SelectedIndex
        retErr = Tusbins16o_Device_Open(DevId)
        If (retErr = 0) Then
            ControlEnable(True)
            OutputB()
        Else
            Tusbins16o_OpenErrorDisp(retErr) '***オープンに失敗した場合
        End If

    End Sub
    Private Sub DevClose()
        Tusbins16o_Device_Close(DevId)
        ControlEnable(False)
    End Sub
    Private Sub DevCloseBtn_Click(sender As System.Object, e As System.EventArgs) Handles DevCloseBtn.Click
        DevClose()
    End Sub
    Private Sub OutputB()
        Dim Bit As Integer
        Dim Data As Integer
        Dim retErr As Short

        Data = 0
        For Bit = 0 To 15
            Data += IIf(OutBit(Bit).Checked, 1 << Bit, 0)
        Next

        retErr = Tusbins16o_Write(DevId, Data)
        If (retErr <> 0) Then
            Tusbins16o_ErrorDisp(retErr)
            DevClose()
        End If
    End Sub
    Private Sub OutB_CheckedChanged(sender As System.Object, e As System.EventArgs) Handles OutB0.CheckedChanged, OutB9.CheckedChanged, OutB8.CheckedChanged, OutB7.CheckedChanged, OutB6.CheckedChanged, OutB5.CheckedChanged, OutB4.CheckedChanged, OutB3.CheckedChanged, OutB2.CheckedChanged, OutB15.CheckedChanged, OutB14.CheckedChanged, OutB13.CheckedChanged, OutB12.CheckedChanged, OutB11.CheckedChanged, OutB10.CheckedChanged, OutB1.CheckedChanged
        OutputB()
    End Sub
End Class
